## visad.util
Class ImageHelper

    java.lang.Object
      visad.util.ImageHelper

All Implemented Interfaces:
  ImageObserver

public class ImageHelper
extends Object
implements ImageObserver

Helper class for monitoring loading images.

Field Summary
`boolean` `badImage` flags whether image is bad

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ImageHelper()`

Method Summary
`boolean` `imageUpdate(Image i, int f, int x, int y, int w, int h)` monitor image load

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### badImage

    public boolean badImage

  flags whether image is bad

Constructor Detail

### ImageHelper

    public ImageHelper()

Method Detail

### imageUpdate

    public boolean imageUpdate(Image i,
                               int f,
                               int x,
                               int y,
                               int w,
                               int h)

  monitor image load

  Specified by:
    `imageUpdate` in interface `ImageObserver`